@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

* {
    padding: 0;
    margin: 0;
    outline: none;
    border: none;
    box-sizing: border-box;
}

img {
    width: 100%;
    display: flex;
}

a {
    text-decoration: none;
}

body {
    font-family: 'Poppins', sans-serif;
    background-color: #fff;
}

nav {
    padding: 1rem 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    background-color: #27272a;
    top: 0;
    z-index: 1000;
}


.nav-logo {
    max-width: 90px;
}

.nav-links {
    list-style: none;
    display: flex;
    align-items: center;
    gap: 3rem;
}

.link a {
    position: relative;
    padding-bottom: 0.75rem;
    color: #fff;
    font-size: large;
}

.link a::after {
    content: "";
    position: absolute;
    height: 2px;
    width: 0;
    bottom: 0;
    left: 0;
    background-color: #0aaedc;
    transition: all 0.3s ease;
}

.link a:hover::after {
    width: 70%;
}

.button {
    margin: 0;
    height: auto;
    background: transparent;
    padding: 0;
    border: none;
    cursor: pointer;
    right: 20%;
}

button {
    padding: 12.5px 30px;
    border: 0;
    border-radius: 100px;
    background-color: #2ba8fb;
    color: #ffffff;
    font-weight: Bold;
    font-size: 1rem;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
    cursor: pointer;
}

button:hover {
    background-color: #6fc5ff;
    box-shadow: 0 0 20px #6fc5ff50;
    transform: scale(1.1);
}

button:active {
    background-color: #3d94cf;
    -webkit-transition: all 0.25s;
    transition: all 0.25s;
    box-shadow: none;
    transform: scale(0.98);
}


.hover-text {
    position: absolute;
    box-sizing: border-box;
    content: attr(data-text);
    color: var(--animation-color);
    width: 0%;
    inset: 0;
    border-right: var(--border-right) solid var(--animation-color);
    overflow: hidden;
    transition: 0.5s;
    -webkit-text-stroke: 1px var(--animation-color);
}


.button:hover .hover-text {
    width: 100%;
    filter: drop-shadow(0 0 23px var(--animation-color))
}

#home-button {
    padding-left: 33px;
    padding-right: 33px;
    padding-bottom: 16px;
    padding-top: 16px;
    border-radius: 9px;
    background: #0d0d0d;
    border: none;
    font-family: inherit;
    text-align: center;
    cursor: pointer;
    transition: 0.4s;
}

#home-button:hover{
    box-shadow: 7px 5px 56px -14px #C3D900;
}

#home-button:active {
    transform: scale(0.97);
    box-shadow: 7px 5px 56px -10px #C3D900;

}


.container {
    max-width: 1200px;
    margin: auto;
    padding: 5rem 2rem;
}



.project-container {
    max-width: 1200px;
    margin: auto;
    padding: 5rem 2rem;
}

.project-container .header {
    margin-bottom: 3rem;
    color: #070303;
    text-align: center;
    font-size: 2.25rem;
    font-weight: 700;
}



.contact-container {
    max-width: 1200px;
    margin: auto;
    padding: 5rem 2rem;
}


.contact-container .header {
    margin-bottom: 3rem;
    color: #070303;
    text-align: center;
    font-size: 2.25rem;
    font-weight: 700;
}


header {
    position: relative;
    padding-top: 2rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2rem;
}

header .content h4 {

    margin-bottom: 2rem;
    color: #0a0606;
    font-size: 1.2rem;
    font-weight: 600;
}

header .content h1 {
    color: #0b0c0b;
    margin-bottom: 1rem;
    font-size: 2.75rem;
    font-weight: 700;
    line-height: 4rem;
}

header .content h1 span {
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 1px #fff;
}

header .content p {
    margin-bottom: 2rem;
    color: #060303;
}

header .image {
    position: relative;
    left: 20%;
}

header .image::before {
    content: "o";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    font-size: 35rem;
    font-weight: 400;
    line-height: 17rem;
    color: #131e42;
    opacity: 0.2;
    z-index: -100;
}

header .image img {
    max-width: 500px;
    margin: auto;
    right: 0;
}

section .header {
    margin-bottom: 3rem;
    color: #070303;
    text-align: center;
    font-size: 2.25rem;
    font-weight: 700;

}

.features {
    margin-top: 4rem;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
}

.features .card {
    background-color: #27272a;
    padding: 1rem;
    border: 2px solid transparent;
    border-radius: 15px;
    transition: all 0.3s ease;
}

.features .card:hover {
    background-color: #323232;
    border-color: #fff;
}

.features .card span {
    display: inline-block;
    background-color: #1e40af;
    padding: 2px 9px;
    margin-bottom: 1rem;
    font-size: 1.75rem;
    color: #fff;
    border-radius: 5px;
}

.features .card h4 {
    margin-bottom: 0.5rem;
    color: #fff;
    font-size: 1.2rem;
    font-weight: 600;
}

.features .card p {
    color: #ccc;
    margin-bottom: 1rem;
}

.features .card a {
    color: #fff;
    transition: all 0.3s ease;
}

.features .card a:hover {
    color: #1e40af;
}

.sub-header {
    max-width: 600px;
    margin: auto;
    position: relative;
    text-align: center;
    top: 20%;
    color: #050505;
}


.skills {
    margin: 50px;
    display: grid;
    align-items: center;
}

.skills h3 {
    color: #050505;
    text-align: center;
    margin-bottom: 2rem;
    font-size: 20px;
}

.skills .images {
    display: flex;
    position: relative;
    margin-top: auto;
    margin-bottom: 2rem;
    gap: 4rem;
    align-items: center;
    justify-content: center;
}

.skills .images img {
    max-width: 60px;
}

.circle {
    fill: none;
    stroke: url(#GradientColor);
    stroke-width: 20px;
    stroke-dasharray: 472;
    stroke-dashoffset: 472;
    animation: anim 2s linear forwards;
}



svg {
    position: absolute;
    top: 0;
    left: 0;
}


.ui-card {
    width: 350px;
    overflow: hidden;
    position: relative;
    display: inline-block;
    margin: 10px;
}

.ui-card.img {
    transform: scale(1.3);
    transition: all 0.3s ease-out;

}

.ui-card:hover img {
    transform: translateY(30px);
    opacity: 0.3;
    position: relative;
    display: inline-block;
}

.title {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    padding: 15px;
    text-align: center;
    color: #e2e8e4;
    font-size: 18px;
}

.title h3 {
    font-weight: 700;
    font-size: 32px;
    margin: 0 0 20px;
    transform: translateY(30px);
    opacity: 0;
    transition: all 0.3s ease-out;

}

.title a {
    color: #fff;
    background: #2c2f2e7d;
    display: inline-block;
    padding: 10px 25px;
    text-decoration: none;
    border-radius: 5px;
    opacity: 0;
    transition: all 0.3s ease-out 0.4s;
}

.title a:hover {
    background: #0e6290;
}

.ui-card:hover .title h3 {
    transform: translateY(0px);
    opacity: 1;
}

.ui-card:hover .title a {
    transform: translateY(0px);
    opacity: 1;
}

footer {
    padding: 0.5rem 0.5rem;
    display: flex;
    align-items: center;
    gap: 1rem;
    background-color: #343737;
    margin: 0;
}

footer .column .logo {
    max-width: 100px;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

footer .column p {
    color: #cfdfe0;
    margin-bottom: 1rem;
    margin-top: 1rem;
    font-weight: 600;
    font-size: medium;
}

footer .column .socials {
    display: inline-block;
    align-items: center;
    gap: 1rem;
    margin-bottom: 1rem;
}

footer .column .socials a {
    color: #eeeaea;
    /* border: 0.5px solid #090909; */
    padding: 5px 10px;
    font-size: 1.25rem;
    border-radius: 100%;
    transition: all 0.3s ease;
}

footer .column .socials a:hover {
    color: #fff;
    background-color: #1d4ed8;
    border-color: #1d4ed8;

}



footer .column>a {

    display: block;
    color: #0e0606;
    margin-bottom: 1rem;
    transition: all 0.3s ease;
    position: relative;
    right: 20%;

}

footer .column>a:hover {
    color: #1d4ed8;
}


.copyright {
    max-width: 1200px;
    margin: auto;
    padding: 1rem;
    color: #fff;
    font-size: 0.8rem;
    text-align: center;
}

@media (width < 900px) {
    .nav-links {
        display: none;
    }

    header {
        grid-template-columns: repeat(1, 1fr);
    }

    header .image {
        grid-area: 1/1/2/2;
    }

    .features {
        grid-template-columns: repeat(2, 1fr);
    }

    .pricing {
        grid-template-columns: repeat(2, 1fr);
    }

    footer {
        grid-template-columns: 1fr 200px;
    }
}

@media (width < 600px) {
    header .image::before {
        display: none;
    }

    .features {
        grid-template-columns: repeat(1, 1fr);
    }

    .pricing {
        grid-template-columns: repeat(1, 1fr);
    }

    footer {
        grid-template-columns: 1fr 150px;
    }
}